Skip to content
Start here

Get a list item

GET/accounts/{account_id}/rules/lists/{list_id}/items/{item_id}

Fetches a list item in the list.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account Filter Lists EditAccount Filter Lists Read
Path ParametersExpand Collapse
account_id: string

The Account ID for this resource.

maxLength32
minLength32
list_id: string

The unique ID of the list.

maxLength32
minLength32
item_id: string

Defines the unique ID of the item in the List.

maxLength32
minLength32
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: object { id, created_on, ip, 2 more } or object { id, created_on, hostname, 2 more } or object { id, created_on, modified_on, 2 more } or object { id, asn, created_on, 2 more }
One of the following:
ListsListItemIPFull = object { id, created_on, ip, 2 more }
id: string

Defines the unique ID of the item in the List.

maxLength32
minLength32
created_on: string

The RFC 3339 timestamp of when the list was created.

ip: string

An IPv4 address, an IPv4 CIDR, an IPv6 address, or an IPv6 CIDR.

modified_on: string

The RFC 3339 timestamp of when the list was last modified.

comment: optional string

Defines an informative summary of the list item.

ListsListItemHostnameFull = object { id, created_on, hostname, 2 more }
id: string

Defines the unique ID of the item in the List.

maxLength32
minLength32
created_on: string

The RFC 3339 timestamp of when the list was created.

hostname: Hostname { url_hostname, exclude_exact_hostname }

Valid characters for hostnames are ASCII(7) letters from a to z, the digits from 0 to 9, wildcards (*), and the hyphen (-).

url_hostname: string
exclude_exact_hostname: optional boolean

Only applies to wildcard hostnames (e.g., *.example.com). When true (default), only subdomains are blocked. When false, both the root domain and subdomains are blocked.

modified_on: string

The RFC 3339 timestamp of when the list was last modified.

comment: optional string

Defines an informative summary of the list item.

ListsListItemRedirectFull = object { id, created_on, modified_on, 2 more }
id: string

Defines the unique ID of the item in the List.

maxLength32
minLength32
created_on: string

The RFC 3339 timestamp of when the list was created.

modified_on: string

The RFC 3339 timestamp of when the list was last modified.

redirect: Redirect { source_url, target_url, include_subdomains, 4 more }

The definition of the redirect.

source_url: string
target_url: string
include_subdomains: optional boolean
preserve_path_suffix: optional boolean
preserve_query_string: optional boolean
status_code: optional 301 or 302 or 307 or 308
One of the following:
301
302
307
308
subpath_matching: optional boolean
comment: optional string

Defines an informative summary of the list item.

ListsListItemASNFull = object { id, asn, created_on, 2 more }
id: string

Defines the unique ID of the item in the List.

maxLength32
minLength32
asn: number

Defines a non-negative 32 bit integer.

created_on: string

The RFC 3339 timestamp of when the list was created.

modified_on: string

The RFC 3339 timestamp of when the list was last modified.

comment: optional string

Defines an informative summary of the list item.

success: true

Defines whether the API call was successful.

Get a list item

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/rules/lists/$LIST_ID/items/$ITEM_ID \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "34b12448945f11eaa1b71c4d701ab86e",
    "created_on": "2020-01-01T08:00:00Z",
    "ip": "10.0.0.1",
    "modified_on": "2020-01-10T14:00:00Z",
    "comment": "Private IP address"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "34b12448945f11eaa1b71c4d701ab86e",
    "created_on": "2020-01-01T08:00:00Z",
    "ip": "10.0.0.1",
    "modified_on": "2020-01-10T14:00:00Z",
    "comment": "Private IP address"
  },
  "success": true
}